
#include "TAuthenticate.h"
#include "TChain.h"
#include <iostream>

using namespace std;

int main(int argc,char* argv[])
{
  const char* input;

  if( argc < 1 )
    {
      cout<<"Usage: rootd_test <input file>"<<endl;
      exit(1);
    }
  else
    {
      input  = argv[1];
    }

  TAuthenticate::SetGlobalUser("anonymous");

  TChain* chain = new TChain("TopTree");
  chain->AddFile(input,TChain::kBigNumber);
  cout<<"Entries: "<<chain->GetEntries()<<endl;

  return 0;
}
